/////////////////////////////////////////////////////////////////////////////
//
// wxWebServer - a simple web server using wxWidgets framework
//
// File:        wxwebserver.h
// 
// Author:      Fedja Stevanovic
// 
// Copyright:   Copyright (C) 2007 Fedja Stevanovic (tutubibi.net)
//
// Licence:
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _WXWEBSERVER_H_
#define _WXWEBSERVER_H_

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma interface "wxwebserver.h"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/image.h"
#include "webservermain.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
////@end control identifiers

/*!
 * WxWebServerApp class declaration
 */

class WxWebServerApp: public wxApp
{    
    DECLARE_CLASS( WxWebServerApp )
    DECLARE_EVENT_TABLE()

public:
    /// Constructor
    WxWebServerApp();

    void Init();

    /// Initialises the application
    virtual bool OnInit();

    /// Called on exit
    virtual int OnExit();

////@begin WxWebServerApp event handler declarations

////@end WxWebServerApp event handler declarations

////@begin WxWebServerApp member function declarations

////@end WxWebServerApp member function declarations

////@begin WxWebServerApp member variables
////@end WxWebServerApp member variables
};

/*!
 * Application instance declaration 
 */

////@begin declare app
DECLARE_APP(WxWebServerApp)
////@end declare app

#endif
    // _WXWEBSERVER_H_
